# PowerRing
Keywords: stratus

Subsections

- Name
- Synopsys
- Description
- Parameters
- Example
- Errors
- See Also

##
PowerRing

### Name

PowerRing - Placement of power rings.

### Synopsys

    PowerRing ( nb )

### Description

This function places power rings around the core and around the plots.

### Parameters

- `nb` : Number of pair of rings vdd/vss

### Example

    PowerRing ( 3 )

### Errors

Some errors may occur :

- `[Stratus ERROR] PowerRing : Pads in the north haven't been placed.`
  The pads of the 4 sides of the chip must be placed before calling function PowerRing.
- `[Stratus ERROR] PowerRing : too many rings, not enough space.`
  Wether The argument of PowerRing is to big, or the abutment box of the chip is to small. There's no space to put the rings.

### See Also

Introduction Layout PlaceCentric PlaceGlu FillCell Pads Alimentation rails Alimentation connectors RouteCk